{"openapi":"3.0.0","info":{"title":"servereye API","description":"This REST API was designed to manage everything in servereye. Wether you want to get a list of a users' customers or update an agent setting - this API provides the functionality.\n\n# Basics\n\nThe API is RESTful, which means it's based on simple GET/POST/PUT/DELETE HTTPS requests which return JSON data.\n\n# Authentication\n\nYou need to authenticate yourself to use the functions of this api. This can be done in two ways:\n\n1. Attach a valid API key to your requests _(recommended)_\n    - You can pass the API key as GET parameter `?apiKey=XXXX-XXXXXXXX-XXXXXXXX-XXXX` with every request or as custom header data `x-api-key: XXXX-XXXXXXXX-XXXXXXXX-XXXX`.\n2. Perform a login with username and password via the `/auth/login`-endpoint and attach the returned cookie to your requests.\n    - This is only recommended for frontend-use.","version":"3.0.0","x-logo":{"url":"https://www.servereye.de/wp-content/uploads/server-eye_logo2019.png","altText":"servereye Logo"}},"servers":[{"url":"https://beta-api.server-eye.de","description":"beta api (preferred)"},{"url":"https://api-ms-beta.server-eye.de","description":"beta ms api (deprecated). Contains only v3."}],"paths":{"/3/acronis/customer/{customerId}/assign":{"post":{"summary":"acronis assignCustomer","tags":["acronis"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Assigns the server-eye customer with customerId to the acronis tenant with the given id","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.acronis.assignCustomer"}}}}}},"/3/acronis/customer/{customerId}/containers":{"get":{"summary":"acronis getContainers","tags":["acronis"],"parameters":[{"in":"path","name":"customerId","required":true,"description":"A server-eye customerId","schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Gives acronis installtation-status for containers"}},"/3/acronis/customer/{customerId}/containers/install":{"post":{"summary":"acronis installClients","tags":["acronis"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Creates scheduled task on the given containers to install the acronis-agent\n\nRequiredRole: `INSTALLER`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.acronis.installClients"}}}}}},"/3/acronis/customer/{customerId}/users":{"get":{"summary":"acronis getUsers","tags":["acronis"],"parameters":[{"in":"path","name":"customerId","required":true,"description":"A server-eye customerId","schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Gives acronis users for this customerId"}},"/3/acronis/customers":{"get":{"summary":"acronis getAcronisCustomers","tags":["acronis"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Returns acronis-customers"}},"/3/acronis/enable":{"post":{"summary":"acronis enable","tags":["acronis"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Enables acronis-integration in server-eye. Data is provided by acronis when creating an api-client\n\nRequiredRole: `LEAD`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.acronis.enable"}}}}}},"/3/agent":{"post":{"summary":"agent create","tags":["agent"],"parameters":[],"responses":{"200":{"description":"Returns the requested Agent Object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Agent"}}}}},"description":"Create an agent.\n\nRequiredRole: `ARCHITECT`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.agent.create"}}}}}},"/3/agent/category":{"get":{"summary":"agent listCategories","tags":["agent"],"parameters":[],"responses":{"200":{"description":"Schema definition for AgentCategory","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_AgentCategory"}}}}},"description":"List all agent categories."}},"/3/agent/lightweights":{"post":{"summary":"agentLightweight list","tags":["agent"],"parameters":[],"responses":{"200":{"description":"Schema definition for Array of AgentsLightweight","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_AgentsLightweight"}}}}},"description":"Returns only the specified fields of requested agents.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.agentLightweight.list"}}}}}},"/3/agent/state":{"post":{"summary":"agentState listByArray","tags":["agent"],"parameters":[],"responses":{"200":{"description":"Schema definition for AgentState","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_AgentState"}}}}},"description":"The same as GET /agent/:id/state, is an array of agentIds. The result will be an array of state objects with agent id as keys.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.agentState.listByArray"}}}}}},"/3/agent/type":{"get":{"summary":"agentType list","tags":["agent"],"parameters":[{"in":"query","name":"category","description":"List only agent types of a specific category. For possible categories see GET /agent/category","schema":{"type":"string","default":"all"}},{"in":"query","name":"customerId","schema":{"example":"this is a string","type":"string"}},{"in":"query","name":"containerId","schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"Schema definition for AgentType","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_AgentType"}}}}},"description":"List all possible agent types."}},"/3/agent/type/{agentType}/faq":{"get":{"summary":"agentType listFaq","tags":["agent"],"parameters":[{"in":"path","name":"agentType","required":true,"description":"The ID of the specific agent.","schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Get the FAQ's for an agent type"}},"/3/agent/type/{agentType}/setting":{"get":{"summary":"agentType listSettings","tags":["agent"],"parameters":[{"in":"path","name":"agentType","required":true,"description":"The ID of the specific agent.","schema":{"example":"this is a string","type":"string"}},{"in":"query","name":"editable","schema":{"example":false,"type":"boolean"}}],"responses":{"200":{"description":"Schema definition for AgentTypeSettings","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_AgentTypeSettings"}}}}},"description":"Get the settings and default values of an agent type."}},"/3/agent/{agentId}":{"get":{"summary":"agent get","tags":["agent"],"parameters":[{"in":"path","name":"agentId","required":true,"description":"The ID of the specific agent.","schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"Returns the requested Agent Object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Agent"}}}}},"description":"Returns an agent by id"},"put":{"summary":"agent update","tags":["agent"],"parameters":[],"responses":{"200":{"description":"Returns the requested Agent Object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Agent"}}}}},"description":"Change an agent.\n\nRequiredRole: `ARCHITECT`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.agent.update"}}}}},"delete":{"summary":"agent remove","tags":["agent"],"parameters":[{"in":"path","name":"agentId","required":true,"description":"The ID of the specific agent.","schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"Returns the requested Agent Object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Agent"}}}}},"description":"Removes an agent by id\n\nRequiredRole: `ARCHITECT`"}},"/3/agent/{agentId}/chart":{"get":{"summary":"agentMeasurement get","tags":["agent"],"parameters":[{"in":"path","name":"agentId","required":true,"description":"The ID of the specific agent.","schema":{"example":"this is a string","type":"string"}},{"in":"query","name":"start","description":"Start date in milliseconds.","schema":{"example":9,"type":"number"}},{"in":"query","name":"end","description":"End date in milliseconds.","schema":{"example":9,"type":"number"}},{"in":"query","name":"valueType","description":"Which values do you need?","schema":{"enum":["AVG","MIN","MAX","ALL"],"default":"AVG"}},{"in":"query","name":"fillGaps","description":"If there are gaps in the chart, do you want them to be auto-filled with the previous chart value?","schema":{"example":false,"type":"boolean"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Get an agent's chart."}},"/3/agent/{agentId}/chart/export":{"get":{"summary":"agentMeasurement exportMeasurements","tags":["agent"],"parameters":[{"in":"path","name":"agentId","required":true,"description":"The ID of the specific agent.","schema":{"example":"this is a string","type":"string"}},{"in":"query","name":"start","description":"Start date in milliseconds.","schema":{"example":9,"type":"number"}},{"in":"query","name":"end","description":"End date in milliseconds.","schema":{"example":9,"type":"number"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Export an agent's measurements as csv."}},"/3/agent/{agentId}/copy":{"post":{"summary":"agent copy","tags":["agent"],"parameters":[],"responses":{"200":{"description":"Returns the requested Agent Object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Agent"}}}}},"description":"Copy an agent and all of its attributes.\n\nRequiredRole: `ARCHITECT`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.agent.copy"}}}}}},"/3/agent/{agentId}/events":{"get":{"summary":"agentEvents get","tags":["agent"],"parameters":[{"in":"path","name":"agentId","required":true,"description":"The ID of the specific agent.","schema":{"example":"this is a string","type":"string"}},{"in":"query","name":"start","description":"Start date in milliseconds.","schema":{"example":9,"type":"number"}},{"in":"query","name":"end","description":"End date in milliseconds.","schema":{"example":9,"type":"number"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Get the agent events for specific time range."}},"/3/agent/{agentId}/note":{"get":{"summary":"agentNote list","tags":["agent"],"parameters":[{"in":"path","name":"agentId","required":true,"description":"The ID of the specific agent.","schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"Schema definition for StateNote","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_AgentNote"}}}}},"description":"List an agent's notes."},"post":{"summary":"agentNote create","tags":["agent"],"parameters":[],"responses":{"200":{"description":"Schema definition for StateNote","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_AgentNote"}}}}},"description":"Create a new note for an agent.\n\nRequiredRole: `TECHIE`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.agentNote.create"}}}}}},"/3/agent/{agentId}/note/{noteId}":{"delete":{"summary":"agentNote remove","tags":["agent"],"parameters":[{"in":"path","name":"agentId","required":true,"description":"The ID of the specific agent.","schema":{"example":"this is a string","type":"string"}},{"in":"path","name":"noteId","required":true,"description":"The ID of the specific note.","schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"Schema definition for StateNote","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_AgentNote"}}}}},"description":"Remove a note for an agent\n\nRequiredRole: `TECHIE`"}},"/3/agent/{agentId}/notification":{"get":{"summary":"agentNotification list","tags":["agent"],"parameters":[{"in":"path","name":"agentId","required":true,"description":"The ID of the specific agent.","schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"Schema definition for AgentNotification","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_AgentNotification"}}}}},"description":"List an agent's notifications."},"post":{"summary":"agentNotification create","tags":["agent"],"parameters":[],"responses":{"200":{"description":"Schema definition for AgentNotification","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_AgentNotification"}}}}},"description":"Create a new agent notification\n\nRequiredRole: `ARCHITECT`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.agentNotification.create"}}}}}},"/3/agent/{agentId}/notification/{notificationId}":{"get":{"summary":"agentNotification get","tags":["agent"],"parameters":[{"in":"path","name":"agentId","required":true,"description":"The ID of the specific agent.","schema":{"example":"this is a string","type":"string"}},{"in":"path","name":"notificationId","required":true,"description":"The ID of the notification.","schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"Schema definition for AgentNotification","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_AgentNotification"}}}}},"description":"Get a specific notification by id"},"put":{"summary":"agentNotification update","tags":["agent"],"parameters":[],"responses":{"200":{"description":"Schema definition for AgentNotification","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_AgentNotification"}}}}},"description":"Update the agent notification\n\nRequiredRole: `ARCHITECT`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.agentNotification.update"}}}}},"delete":{"summary":"agentNotification remove","tags":["agent"],"parameters":[{"in":"path","name":"notificationId","required":true,"description":"The ID of the notification.","schema":{"example":"this is a string","type":"string"}},{"in":"path","name":"agentId","required":true,"description":"The ID of the specific agent.","schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Removes an agent's notification.\n\nRequiredRole: `ARCHITECT`"}},"/3/agent/{agentId}/restart":{"post":{"summary":"agent restart","tags":["agent"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Restart an agent\n\nRequiredRole: `TECHIE`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.agent.restart"}}}}}},"/3/agent/{agentId}/setting/{key}/remote":{"get":{"summary":"agentSetting requestRemoteSetting","tags":["agent"],"parameters":[{"in":"path","name":"agentId","required":true,"description":"The ID of the specific agent.","schema":{"example":"this is a string","type":"string"}},{"in":"path","name":"key","required":true,"description":"The key of the specific agent setting.","schema":{"example":"this is a string","type":"string"}},{"in":"query","name":"information","description":"An additional information for the agent. Sometimes required. Please check the call made by the OCC for possible values.","schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Get a settings remote information.\n\nRequiredRole: `TECHIE`"}},"/3/agent/{agentId}/setting/{settingsKey}":{"put":{"summary":"agentSetting update","tags":["agent"],"parameters":[],"responses":{"200":{"description":"Schema definition for AgentSetting","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_AgentSetting"}}}}},"description":"Update an existing setting of an agent.\n\nRequiredRole: `TECHIE`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.agentSetting.update"}}}}}},"/3/agent/{agentId}/settings":{"get":{"summary":"agentSetting list","tags":["agent"],"parameters":[{"in":"path","name":"agentId","required":true,"description":"The ID of the specific agent.","schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"Schema definition for AgentSetting","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_AgentSetting"}}}}},"description":"List an agent's settings."}},"/3/agent/{agentId}/state":{"get":{"summary":"agentState list","tags":["agent"],"parameters":[{"in":"path","name":"agentId","required":true,"description":"The ID of the specific agent.","schema":{"example":"this is a string","type":"string"}},{"in":"query","name":"limit","schema":{"example":9,"type":"number"}},{"in":"query","name":"start","description":"An integer which describes utc date in milliseconds.","schema":{"example":9,"type":"number"}},{"in":"query","name":"end","description":"An utc date in milliseconds. Only required if start is an utc timestamp, too.","schema":{"example":9,"type":"number"}},{"in":"query","name":"includeHints","schema":{"type":"boolean","default":true}},{"in":"query","name":"includeMessage","schema":{"type":"boolean","default":true}},{"in":"query","name":"includeRawData","schema":{"example":false,"type":"boolean"}},{"in":"query","name":"format","schema":{"enum":["plain","html","html_boxed","text","text_short","mail","markdown"],"default":"plain"}}],"responses":{"200":{"description":"Schema definition for AgentState","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_AgentState"}}}}},"description":"Get the current state or a state history of this agent."}},"/3/agent/{agentId}/state/{stateId}":{"get":{"summary":"agentState getSpecific","tags":["agent"],"parameters":[{"in":"path","name":"agentId","required":true,"description":"The ID of the specific agent.","schema":{"example":"this is a string","type":"string"}},{"in":"path","name":"stateId","required":true,"schema":{}},{"in":"query","name":"includeHints","schema":{"type":"boolean","default":true}},{"in":"query","name":"includeMessage","schema":{"type":"boolean","default":true}},{"in":"query","name":"includeRawData","schema":{"example":false,"type":"boolean"}},{"in":"query","name":"format","schema":{"enum":["plain","html","html_boxed","text","text_short","mail","markdown"],"default":"plain"}}],"responses":{"200":{"description":"Schema definition for AgentState","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_AgentState"}}}}},"description":"Request a specific state of an agent."}},"/3/agent/{agentId}/state/{stateId}/hint":{"post":{"summary":"agentState createHint","tags":["agent"],"parameters":[],"responses":{"200":{"description":"Schema definition for StateNote","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_StateNote"}}}}},"description":"Write a hint for a state. Depending on the hint type the state is changed to working on, reopen, and so on.\n\nRequiredRole: `HINTER`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.agentState.createHint"}}}}}},"/3/agent/{agentId}/state/{stateId}/ticket":{"post":{"summary":"agentState logTicket","tags":["agent"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Logs the creation of a ticket for a specific state.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.agentState.logTicket"}}}}}},"/3/agent/{agentId}/tag":{"get":{"summary":"agentTag list","tags":["agent"],"parameters":[{"in":"path","name":"agentId","required":true,"description":"The ID of the specific agent.","schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"List an agent's tags."}},"/3/agent/{agentId}/tag/{tagId}":{"put":{"summary":"agentTag create","tags":["agent"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Add a tag to an agent.\n\nRequiredRole: `ARCHITECT`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.agentTag.create"}}}}},"delete":{"summary":"agentTag remove","tags":["agent"],"parameters":[{"in":"path","name":"agentId","required":true,"description":"The ID of the specific agent.","schema":{"example":"this is a string","type":"string"}},{"in":"path","name":"tagId","required":true,"description":"The ID of the tag.","schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Delete a specific tag of an agent.\n\nRequiredRole: `ARCHITECT`"}},"/3/ai-help/postFeedback":{"post":{"summary":"ai-help postFeedback","tags":["ai-help"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ai-help_AiHelpPostFeedbackParams"}}}}},"description":"sends an user feedback to the AI help system for the specified ticket","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.ai-help.postFeedback"}}}}}},"/3/ai-help/solution":{"get":{"summary":"ai-help getSolution","tags":["ai-help"],"parameters":[{"in":"query","name":"agentId","schema":{"example":"this is a string","type":"string"}},{"in":"query","name":"stateId","schema":{"example":"this is a string","type":"string"}},{"in":"query","name":"dontSanitizeAgentMessage","schema":{"example":false,"type":"boolean"}}],"responses":{"200":{"description":"Schema definition for AiSolutionResponse","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ai-help_AiSolutionResponse"}}}}},"description":"returns a possible solution for the alarm, specified by the agentId and stateId by using AI"}},"/3/auth/contextUser":{"get":{"summary":"auth getContextUser","tags":["auth"],"parameters":[],"responses":{"200":{"description":"Schema definition for ContextUser","content":{"application/json":{"schema":{"$ref":"#/components/schemas/auth_ContextUser"}}}}},"description":"Returns the contextUser, used by the microservice-api"}},"/3/auth/key":{"post":{"summary":"auth createApiKey","tags":["auth"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/auth_ApiKey"}}}}},"description":"Creates an API key for an user, customer or container.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.auth.createApiKey"}}}}}},"/3/auth/login":{"post":{"summary":"auth login","tags":["auth"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/auth_Login"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.auth.login"}}}}}},"/3/auth/logout":{"get":{"summary":"auth logout","tags":["auth"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/auth_Logout"}}}}}}},"/3/auth/reset":{"get":{"summary":"auth generateCode","tags":["auth"],"parameters":[{"name":"email","in":"query","description":"The mail address of the user.","schema":{"type":"string","description":"The mail address of the user."}},{"name":"code","in":"query","required":false,"description":"The two factor code for the user","schema":{"type":"string","description":"The two factor code for the user"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/auth_RequestResetToken"}}}}},"description":"Generate a code and send it by email to reset the password. This code is valid for 24 hours"},"post":{"summary":"auth resetPassword","tags":["auth"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/auth_ResetPassword"}}}}},"description":"Reset a user's password.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.auth.reset"}}}}}},"/3/auth/token":{"post":{"summary":"auth generateCacheToken","tags":["auth"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Generate a cache token to store the authentication for password vault and power shell repositories.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.auth.generateCacheToken"}}}}}},"/3/container":{"post":{"summary":"container create","tags":["container"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Creates a new container.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.container.create"}}}}}},"/3/container-group":{"post":{"summary":"containerGroup create","tags":["containerGroup"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Creates a new container group.\n\n`Only Distributor Users can access this route`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.containerGroup.create"}}}}},"get":{"summary":"containerGroup list","tags":["containerGroup"],"parameters":[{"in":"query","name":"limit","description":"The maximum number of container groups to return","schema":{"type":"number","default":12}},{"in":"query","name":"offset","description":"The offset for pagination of container groups","schema":{"example":9,"type":"number"}},{"in":"query","name":"orderBy","description":"The field to order the container groups by","schema":{"type":"string","enum":["title","update"],"default":"title"}},{"in":"query","name":"order","description":"The order direction (asc or desc)","schema":{"type":"string","enum":["asc","desc"],"default":"asc"}},{"in":"query","name":"filter","description":"Filter expression to apply on the container groups","schema":{"example":"this is a string","type":"string"}},{"name":"customerIds[]","in":"query","schema":{"type":"array","description":"Filter by specific customer IDs","items":{},"uniqueItems":false}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Returns a container group list.\n\n`Only Distributor Users can access this route`"},"delete":{"summary":"containerGroup remove","tags":["containerGroup"],"parameters":[{"name":"containerGroupIds[]","in":"query","schema":{"type":"array","description":"The IDs of the container groups to delete","items":{},"uniqueItems":false}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Deletes a list of container group\n\n`Only Distributor Users can access this route`"}},"/3/container-group/{containerGroupId}":{"put":{"summary":"containerGroup update","tags":["containerGroup"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Updates attributes of a container group.\n\n`Only Distributor Users can access this route`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.containerGroup.update"}}}}}},"/3/container-group/{containerGroupId}/containers":{"put":{"summary":"containerGroup updateRelations","tags":["containerGroup"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Updates list of the grouped containers.\n\n`Only Distributor Users can access this route`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.containerGroup.updateRelations"}}}}}},"/3/container-group/{id}":{"get":{"summary":"containerGroup get","tags":["containerGroup"],"parameters":[{"in":"path","name":"id","required":true,"description":"The ID of the specific container group","schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Returns a container group by id.\n\n`Only Distributor Users can access this route`"}},"/3/container/lightweights":{"get":{"summary":"containerLightweight list","tags":["container"],"parameters":[{"in":"query","name":"customerId","description":"ID of the customer for which to list containers. If not specified, the logged in users customerId will be used.","schema":{"example":"this is a string","type":"string"}},{"in":"query","name":"type","description":"Filter items by the types. If empty, items of all types are included.","schema":{"enum":["MAC","SECMAC","CAC","TEMPLATE","EXTERNAL"],"example":"MAC"}},{"in":"query","name":"withTemplates","description":"If true, template containers are included. Default: false. Cannot be used if the parameter \"type\" is specified.","schema":{"example":false,"type":"boolean"}},{"name":"$fields[]","in":"query","schema":{"type":"array","description":"Fields to be returned. Default: containerId, name","items":{"default":"containerId"},"uniqueItems":false}}],"responses":{"200":{"description":"Schema definition for ContainerLightweight","content":{"application/json":{"schema":{"$ref":"#/components/schemas/container_ContainerLightweight"}}}}},"description":"Returns all lightweight container entities for the customerId. Returns only the fields, specified by $fields.\n                The containerId field is always returned. If some of tag fields are put to the $fields argument, the field tags.tagId will be always included.\n\n                To resolve the tags, some of fields prefixed with 'tags.' must be put to the $fields argument."}},"/3/container/lightweights/listByIds":{"post":{"summary":"containerLightweight listByIds","tags":["container"],"parameters":[],"responses":{"200":{"description":"Schema definition for ContainerLightweight","content":{"application/json":{"schema":{"$ref":"#/components/schemas/container_ContainerLightweight"}}}}},"description":"Returns container lightweights for the specified container ids. Returns only the fields, specified by $fields.\n                The containerId field is always returned. If some of tag fields are put to the $fields argument, the field tags.tagId will be always included.\n\n                To resolve the tags, some of fields prefixed with 'tags.' must be put to the $fields argument.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.containerLightweight.listByIds"}}}}}},"/3/container/list/existing":{"post":{"summary":"container listExistingContainerIds","tags":["container"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Returns a sanitized list of container ids, which all exists","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.container.listExistingContainerIds"}}}}}},"/3/container/liteweights":{"get":{"summary":"containerLightweight list","tags":["container"],"parameters":[{"in":"query","name":"customerId","description":"ID of the customer for which to list containers. If not specified, the logged in users customerId will be used.","schema":{"example":"this is a string","type":"string"}},{"in":"query","name":"type","description":"Filter items by the types. If empty, items of all types are included.","schema":{"enum":["MAC","SECMAC","CAC","TEMPLATE","EXTERNAL"],"example":"MAC"}},{"in":"query","name":"withTemplates","description":"If true, template containers are included. Default: false. Cannot be used if the parameter \"type\" is specified.","schema":{"example":false,"type":"boolean"}},{"name":"$fields[]","in":"query","schema":{"type":"array","description":"Fields to be returned. Default: containerId, name","items":{"default":"containerId"},"uniqueItems":false}}],"responses":{"200":{"description":"Schema definition for ContainerLightweight","content":{"application/json":{"schema":{"$ref":"#/components/schemas/container_ContainerLightweight"}}}}},"description":"Returns all lightweight container entities for the customerId. Returns only the fields, specified by $fields.\n                The containerId field is always returned. If some of tag fields are put to the $fields argument, the field tags.tagId will be always included.\n\n                To resolve the tags, some of fields prefixed with 'tags.' must be put to the $fields argument."}},"/3/container/liteweights/listByIds":{"post":{"summary":"containerLightweight listByIds","tags":["container"],"parameters":[],"responses":{"200":{"description":"Schema definition for ContainerLightweight","content":{"application/json":{"schema":{"$ref":"#/components/schemas/container_ContainerLightweight"}}}}},"description":"Returns container lightweights for the specified container ids. Returns only the fields, specified by $fields.\n                The containerId field is always returned. If some of tag fields are put to the $fields argument, the field tags.tagId will be always included.\n\n                To resolve the tags, some of fields prefixed with 'tags.' must be put to the $fields argument.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.containerLightweight.listByIds"}}}}}},"/3/container/proposals":{"post":{"summary":"containerProposal listForMany","tags":["container"],"parameters":[],"responses":{"200":{"description":"Schema definition for ContainerProposal","content":{"application/json":{"schema":{"$ref":"#/components/schemas/container_ContainerProposal"}}}}},"description":"The same as GET /container/:containerId/proposals, but ids an array of container ids. The result will be an object of proposal arrays with container id as keys.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.containerProposal.listForMany"}}}}}},"/3/container/state":{"post":{"summary":"containerState listByArray","tags":["container"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"The same as GET /container/:id/state, but id can be a comma separated list or an array of container ids. The result will be an object of state arrays with container id as keys.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.containerState.listByArray"}}}}}},"/3/container/{containerId}":{"get":{"summary":"container get","tags":["container"],"parameters":[{"in":"path","name":"containerId","required":true,"description":"The ID of the specific container","schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"Schema definition for Container","content":{"application/json":{"schema":{"$ref":"#/components/schemas/container_Container"}}}}},"description":"Returns a container by id."},"put":{"summary":"container update","tags":["container"],"parameters":[],"responses":{"200":{"description":"Schema definition for Container","content":{"application/json":{"schema":{"$ref":"#/components/schemas/container_Container"}}}}},"description":"Updates attributes of a container.\n\nRequiredRole: `ARCHITECT`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.container.update"}}}}},"delete":{"summary":"container remove","tags":["container"],"parameters":[{"in":"path","name":"containerId","required":true,"description":"The ID of the specific container","schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"Schema definition for Container","content":{"application/json":{"schema":{"$ref":"#/components/schemas/container_Container"}}}}},"description":"Deletes a container, all of its historical data and all its agents.\n\nRequiredRole: `ARCHITECT`"}},"/3/container/{containerId}/agents":{"get":{"summary":"container listAgents","tags":["container"],"parameters":[{"in":"path","name":"containerId","required":true,"description":"The ID of the specific container","schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"Schema definition for Array of Agents","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Agents"}}}}},"description":"List all agents of a container."}},"/3/container/{containerId}/events":{"get":{"summary":"containerEvents get","tags":["container"],"parameters":[{"in":"path","name":"containerId","required":true,"description":"The ID of the specific container.","schema":{"example":"this is a string","type":"string"}},{"in":"query","name":"start","description":"Start date in milliseconds.","schema":{"example":9,"type":"number"}},{"in":"query","name":"end","description":"End date in milliseconds.","schema":{"example":9,"type":"number"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Get the container events for specific time range."}},"/3/container/{containerId}/inventory":{"get":{"summary":"containerInventory get","tags":["container"],"parameters":[{"in":"path","name":"containerId","required":true,"description":"The ID of the specific container","schema":{"example":"this is a string","type":"string"}},{"in":"query","name":"format","schema":{"enum":["json","xml"],"default":"json"}},{"name":"$fields[]","in":"query","schema":{"type":"array","description":"Specify the fields to return, if not set, returns all fields","items":{"example":"this is a string","type":"string"},"uniqueItems":false}}],"responses":{"200":{"description":"Schema definition for Inventory","content":{"application/json":{"schema":{"$ref":"#/components/schemas/container_Inventory"}}}}},"description":"Returns a containers inventory."}},"/3/container/{containerId}/maintenance":{"get":{"summary":"containerMaintenance get","tags":["container"],"parameters":[{"in":"path","name":"containerId","required":true,"schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Returns information about the containers maintenance-state."}},"/3/container/{containerId}/maintenance/disable":{"post":{"summary":"containerMaintenance disable","tags":["container"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Disables maintenance-mode for the container.\n\nRequiredRole: `ARCHITECT`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.containerMaintenance.disable"}}}}}},"/3/container/{containerId}/maintenance/enable":{"post":{"summary":"containerMaintenance enable","tags":["container"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Enables maintenance-mode for the container.\n\nRequiredRole: `ARCHITECT`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.containerMaintenance.enable"}}}}}},"/3/container/{containerId}/network":{"get":{"summary":"container listNetworkContainers","tags":["container"],"parameters":[{"in":"path","name":"containerId","required":true,"description":"The ID of the specific container","schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Returns all network containers for customer."}},"/3/container/{containerId}/note":{"get":{"summary":"containerNote list","tags":["container"],"parameters":[{"in":"path","name":"containerId","required":true,"description":"The ID of the specific container","schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"Schema definition for Array of ContainerNotes","content":{"application/json":{"schema":{"$ref":"#/components/schemas/container_ContainerNotes"}}}}},"description":"List a container's notes."},"post":{"summary":"containerNote create","tags":["container"],"parameters":[],"responses":{"200":{"description":"Schema definition for ContainerNote","content":{"application/json":{"schema":{"$ref":"#/components/schemas/container_ContainerNote"}}}}},"description":"Create a new note for an container.\n\nRequiredRole: `TECHIE`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.containerNote.create"}}}}}},"/3/container/{containerId}/note/{noteId}":{"delete":{"summary":"containerNote remove","tags":["container"],"parameters":[{"in":"path","name":"containerId","required":true,"description":"The ID of the specific container.","schema":{"example":"this is a string","type":"string"}},{"in":"path","name":"noteId","required":true,"description":"The ID of the specific note.","schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"Schema definition for ContainerNote","content":{"application/json":{"schema":{"$ref":"#/components/schemas/container_ContainerNote"}}}}},"description":"Remove a note for an container\n\nRequiredRole: `TECHIE`"}},"/3/container/{containerId}/notification":{"post":{"summary":"containerNotification create","tags":["container"],"parameters":[],"responses":{"200":{"description":"Schema definition for ContainerNotification","content":{"application/json":{"schema":{"$ref":"#/components/schemas/container_ContainerNotification"}}}}},"description":"Create a new container notification\n\nRequiredRole: `ARCHITECT`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.containerNotification.create"}}}}}},"/3/container/{containerId}/notification/{notificationId}":{"get":{"summary":"containerNotification get","tags":["container"],"parameters":[{"in":"path","name":"containerId","required":true,"description":"The ID of the specific container","schema":{"example":"this is a string","type":"string"}},{"in":"path","name":"notificationId","required":true,"description":"The ID of the notification.","schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"Schema definition for ContainerNotification","content":{"application/json":{"schema":{"$ref":"#/components/schemas/container_ContainerNotification"}}}}},"description":"Get a specific notification by id"},"put":{"summary":"containerNotification update","tags":["container"],"parameters":[],"responses":{"200":{"description":"Schema definition for ContainerNotification","content":{"application/json":{"schema":{"$ref":"#/components/schemas/container_ContainerNotification"}}}}},"description":"Update the container notification\n\nRequiredRole: `ARCHITECT`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.containerNotification.update"}}}}},"delete":{"summary":"containerNotification remove","tags":["container"],"parameters":[{"in":"path","name":"containerId","required":true,"description":"The ID of the specific agent.","schema":{"example":"this is a string","type":"string"}},{"in":"path","name":"notificationId","required":true,"description":"The ID of the notification.","schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"Schema definition for ContainerNotification","content":{"application/json":{"schema":{"$ref":"#/components/schemas/container_ContainerNotification"}}}}},"description":"Removes an container's notification.\n\nRequiredRole: `ARCHITECT`"}},"/3/container/{containerId}/notifications":{"get":{"summary":"containerNotification list","tags":["container"],"parameters":[{"in":"path","name":"containerId","required":true,"description":"The ID of the specific container","schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"Schema definition for Array of ContainerNotifications","content":{"application/json":{"schema":{"$ref":"#/components/schemas/container_ContainerNotifications"}}}}},"description":"List a container's notifications."}},"/3/container/{containerId}/proposal/{proposalId}":{"put":{"summary":"containerProposal enable","tags":["container"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Accept a proposal and turn it into an agent.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.containerProposal.enable"}}}}},"delete":{"summary":"containerProposal deny","tags":["container"],"parameters":[{"in":"path","name":"containerId","required":true,"description":"The id of the container.","schema":{"example":"this is a string","type":"string"}},{"in":"path","name":"proposalId","required":true,"description":"The id of the proposal.","schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Deny a proposal. Denied proposals will never show up again."}},"/3/container/{containerId}/proposal/{proposalId}/setting":{"get":{"summary":"containerProposal listSettings","tags":["container"],"parameters":[{"in":"path","name":"containerId","required":true,"description":"The ID of the specific container","schema":{"example":"this is a string","type":"string"}},{"in":"path","name":"proposalId","required":true,"description":"The proposal ID","schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Get the settings of a proposal."}},"/3/container/{containerId}/proposals":{"get":{"summary":"containerProposal list","tags":["container"],"parameters":[{"in":"path","name":"containerId","required":true,"description":"The ID of the specific container","schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"Schema definition for ContainerProposal","content":{"application/json":{"schema":{"$ref":"#/components/schemas/container_ContainerProposal"}}}}},"description":"List a container's proposals."}},"/3/container/{containerId}/restart":{"post":{"summary":"container restart","tags":["container"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Restart a container\n\nRequiredRole: `TECHIE`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.container.restart"}}}}}},"/3/container/{containerId}/start":{"post":{"summary":"container start","tags":["container"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Start a container\n\nRequiredRole: `TECHIE`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.container.start"}}}}}},"/3/container/{containerId}/state":{"get":{"summary":"containerState list","tags":["container"],"parameters":[{"in":"path","name":"containerId","required":true,"description":"The ID of the specific container.","schema":{"example":"this is a string","type":"string"}},{"in":"query","name":"limit","schema":{"type":"number","default":1}},{"in":"query","name":"start","schema":{"example":9,"type":"number"}},{"in":"query","name":"end","schema":{"example":9,"type":"number"}},{"in":"query","name":"includeHints","schema":{"type":"boolean","default":true}},{"in":"query","name":"includeMessage","schema":{"type":"boolean","default":true}}],"responses":{"200":{"description":"Schema definition for ContainerState","content":{"application/json":{"schema":{"$ref":"#/components/schemas/container_ContainerState"}}}}},"description":"Get the current state or a state history of this container."}},"/3/container/{containerId}/state/{stateId}":{"get":{"summary":"containerState getSpecific","tags":["container"],"parameters":[{"in":"path","name":"containerId","required":true,"description":"The ID of the specific container.","schema":{"example":"this is a string","type":"string"}},{"in":"path","name":"stateId","required":true,"description":"The ID of the state.","schema":{"example":9,"type":"number"}},{"in":"query","name":"includeHints","schema":{"type":"boolean","default":true}},{"in":"query","name":"includeMessage","schema":{"type":"boolean","default":true}}],"responses":{"200":{"description":"Schema definition for ContainerState","content":{"application/json":{"schema":{"$ref":"#/components/schemas/container_ContainerState"}}}}},"description":"Request a specific state of an container."}},"/3/container/{containerId}/state/{stateId}/hint":{"post":{"summary":"containerState createHint","tags":["container"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Write a hint for a state. Depending on the hint type the state is changed to working on, reopen, and so on.\n\nRequiredRole: `HINTER`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.containerState.createHint"}}}}}},"/3/container/{containerId}/state/{stateId}/ticket":{"post":{"summary":"containerState logTicket","tags":["container"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Logs the creation of a ticket for a specific state.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.containerState.logTicket"}}}}}},"/3/container/{containerId}/stop":{"post":{"summary":"container stop","tags":["container"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Stop a container\n\nRequiredRole: `TECHIE`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.container.stop"}}}}}},"/3/container/{containerId}/tag":{"get":{"summary":"containerTag list","tags":["container"],"parameters":[{"in":"path","name":"containerId","required":true,"description":"The ID of the specific container","schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"Schema definition for Array of ContainerTags","content":{"application/json":{"schema":{"$ref":"#/components/schemas/container_ContainerTags"}}}}},"description":"List tags of a container."}},"/3/container/{containerId}/tag/{tagId}":{"put":{"summary":"containerTag create","tags":["container"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Add a tag to a container.\n\nRequiredRole: `ARCHITECT`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.containerTag.create"}}}}},"delete":{"summary":"containerTag remove","tags":["container"],"parameters":[{"in":"path","name":"containerId","required":true,"description":"The ID of the specific container.","schema":{"example":"this is a string","type":"string"}},{"in":"path","name":"tagId","required":true,"description":"The ID of the tag.","schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Delete a specific tag of a container.\n\nRequiredRole: `ARCHITECT`"}},"/3/container/{containerId}/template":{"post":{"summary":"containerTemplate create","tags":["container"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Create a template from the given container.\n\nRequiredRole: `ARCHITECT`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.containerTemplate.create"}}}}}},"/3/container/{containerId}/template/{templateId}":{"post":{"summary":"containerTemplate assign","tags":["container"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Apply a template to a container.\n\nRequiredRole: `ARCHITECT`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.containerTemplate.assign"}}}}}},"/3/container/{containerId}/toolkit/hotfix":{"get":{"summary":"containerToolkit listRollbacks","tags":["container"],"parameters":[{"in":"path","name":"containerId","required":true,"description":"The id of the container to list the rollbacks of","schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Lists available rollbacks on the container"}},"/3/container/{containerId}/toolkit/hotfix/install":{"post":{"summary":"containerToolkit installHotfix","tags":["container"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Installs a hotfix on a container","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.containerToolkit.installHotfix"}}}}}},"/3/container/{containerId}/toolkit/hotfix/rollback":{"post":{"summary":"containerToolkit rollbackHotfix","tags":["container"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Rolls back a hotfix on a container","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.containerToolkit.rollbackHotfix"}}}}}},"/3/container/{containerId}/toolkit/logs":{"get":{"summary":"containerToolkit getLogs","tags":["container"],"parameters":[{"in":"path","name":"containerId","required":true,"description":"The ID of the container to get logs for","schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Gets a download link for the logs of a container"}},"/3/container/{containerId}/toolkit/proxy":{"post":{"summary":"containerToolkit changeProxy","tags":["container"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Changes the proxy settings of a container","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.containerToolkit.changeProxy"}}}}}},"/3/container/{containerId}/toolkit/ticket":{"post":{"summary":"containerToolkit createTicket","tags":["container"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Sends a support ticket from a container","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.containerToolkit.createTicket"}}}}}},"/3/container/{containerId}/wol":{"post":{"summary":"container wol","tags":["container"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Sends Wake on LAN package to the specified container from its occ-connector. Only works for sensorhubs\n\nRequiredRole: `TECHIE`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.container.wol"}}}}}},"/3/container/{customerId}/listAllContainerStates":{"get":{"summary":"containerState listAllContainerStates","tags":["container"],"parameters":[{"in":"path","name":"customerId","required":true,"description":"The ID of the specific customer.","schema":{"example":"this is a string","type":"string"}},{"in":"query","name":"machineType","description":"The machinetype of the container.","schema":{"enum":["WORKSTATION","SERVER"],"example":"WORKSTATION"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"List all container states of a customer."}},"/3/customer":{"get":{"summary":"customer _list","tags":["customer"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Lists all customers of your distributor"},"post":{"summary":"customer create","tags":["customer"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Creates a new customer of your distributor. Nearly any property of the GET /customer/:id result object can be modified and send to the server.\n\n`Only Distributor Users can access this route`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.customer.create"}}}}}},"/3/customer/apiKey":{"get":{"summary":"customerApiKey list","tags":["customer"],"parameters":[],"responses":{"200":{"description":"Schema definition for ApiKeyDetailed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/apiKey_listByCustomer"}}}}},"description":"List all api keys for your customer\n\nRequiredRole: `LEAD`"}},"/3/customer/bucket":{"get":{"summary":"customerBucket list","tags":["customer"],"parameters":[{"name":"$fields[]","in":"query","schema":{"type":"array","items":{"enum":["userIds"],"example":"userIds"},"uniqueItems":false}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/bucket_Buckets"}}}}},"description":"Lists all buckets for a customer\n\nRequiredRole: `ARCHITECT`"},"post":{"summary":"customerBucket create","tags":["customer"],"parameters":[],"responses":{"200":{"description":"The bucket definition","content":{"application/json":{"schema":{"$ref":"#/components/schemas/bucket_Bucket"}}}}},"description":"Create a new bucket for a customer\n\nRequiredRole: `ARCHITECT`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.customerBucket.create"}}}}}},"/3/customer/bucket/list":{"get":{"summary":"customerBucket list","tags":["customer"],"parameters":[{"name":"$fields[]","in":"query","schema":{"type":"array","items":{"enum":["userIds"],"example":"userIds"},"uniqueItems":false}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/bucket_Buckets"}}}}},"description":"Lists all buckets for a customer\n\nRequiredRole: `ARCHITECT`"},"post":{"summary":"customerBucket list","tags":["customer"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/bucket_Buckets"}}}}},"description":"Lists all buckets for a customer\n\nRequiredRole: `ARCHITECT`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.customerBucket.list"}}}}}},"/3/customer/bucket/{bucketId}":{"get":{"summary":"customerBucket get","tags":["customer"],"parameters":[{"in":"path","name":"bucketId","required":true,"schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"The bucket definition","content":{"application/json":{"schema":{"$ref":"#/components/schemas/bucket_Bucket"}}}}},"description":"Get a specific bucket by id\n\nRequiredRole: `ARCHITECT`"},"put":{"summary":"customerBucket update","tags":["customer"],"parameters":[],"responses":{"200":{"description":"The bucket definition","content":{"application/json":{"schema":{"$ref":"#/components/schemas/bucket_Bucket"}}}}},"description":"Update the name and/or the users of the given bucket\n\nRequiredRole: `ARCHITECT`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.customerBucket.update"}}}}},"delete":{"summary":"customerBucket remove","tags":["customer"],"parameters":[{"in":"path","name":"bucketId","required":true,"schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Remove a bucket by ID\n\nRequiredRole: `ARCHITECT`"}},"/3/customer/bucket/{bucketId}/empty":{"delete":{"summary":"customerBucket empty","tags":["customer"],"parameters":[{"in":"path","name":"bucketId","required":true,"schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"the definition of the bucket content.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/bucket_BucketData"}}}}},"description":"Empties all the bucket content into the response. Warning: Bucket is empty after calling this!"}},"/3/customer/bucket/{bucketId}/history":{"get":{"summary":"customerBucket getHistory","tags":["customer"],"parameters":[{"in":"path","name":"bucketId","required":true,"schema":{"example":"this is a string","type":"string"}},{"in":"query","name":"start","schema":{"example":9,"type":"number"}},{"in":"query","name":"end","description":"The end unix-timestamp of the history","schema":{"example":9,"type":"number"}},{"in":"query","name":"delivered","description":"Filter for delivered notifications","schema":{"example":false,"type":"boolean"}},{"in":"query","name":"skip","description":"The amount of notifications to skip","schema":{"example":9,"type":"number"}},{"in":"query","name":"limit","description":"The amount of notifications to return","schema":{"type":"number","default":50}}],"responses":{"200":{"description":"The history of the bucket content.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/bucket_BucketHistory"}}}}},"description":"Returns the history of a bucket between the start and end timestamp sorted by the timestamp of the notification descending.\n\nRequiredRole: `ARCHITECT`"}},"/3/customer/bucket/{bucketId}/user":{"get":{"summary":"customerBucket listUsers","tags":["customer"],"parameters":[{"in":"path","name":"bucketId","required":true,"schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/bucket_BucketUsers"}}}}},"description":"Lists all users of a bucket\n\nRequiredRole: `ARCHITECT`"}},"/3/customer/bucket/{bucketId}/user/{userId}":{"put":{"summary":"customerBucket addUser","tags":["customer"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/bucket_BucketUser"}}}}},"description":"Add an user to a bucket\n\nRequiredRole: `ARCHITECT`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.customerBucket.addUser"}}}}},"delete":{"summary":"customerBucket removeUser","tags":["customer"],"parameters":[{"in":"path","name":"bucketId","required":true,"schema":{"example":"this is a string","type":"string"}},{"in":"path","name":"userId","required":true,"schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Remove an user from the bucket\n\nRequiredRole: `ARCHITECT`"}},"/3/customer/containersAndAgents":{"get":{"summary":"customer getNumberOfContainersAndAgents","tags":["customer"],"parameters":[{"name":"customerIds[]","in":"query","schema":{"type":"array","items":{},"uniqueItems":false}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Get the number of containers and agents for all managed customers or - if given - for specific customerIds"}},"/3/customer/dispatch-time":{"post":{"summary":"customerDeferredDispatchTime create","tags":["customer"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Create a new deferred dispatch time for a customer\n\nRequiredRole: `ARCHITECT`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.customerDeferredDispatchTime.create"}}}}},"get":{"summary":"customerDeferredDispatchTime list","tags":["customer"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"List all deferred dispatch times for a customer"}},"/3/customer/dispatch-time/{dispatchTimeId}":{"get":{"summary":"customerDeferredDispatchTime get","tags":["customer"],"parameters":[{"in":"path","name":"dispatchTimeId","required":true,"schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Get a specific deferred dispatch time by id"},"put":{"summary":"customerDeferredDispatchTime update","tags":["customer"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Update the name of the given deferred dispatch time\n\nRequiredRole: `ARCHITECT`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.customerDeferredDispatchTime.update"}}}}},"delete":{"summary":"customerDeferredDispatchTime remove","tags":["customer"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Remove a deferred dispatch time by ID\n\nRequiredRole: `ARCHITECT`"}},"/3/customer/image":{"get":{"summary":"distributorImage downloadImage","tags":["customer"],"parameters":[{"in":"query","name":"imageType","description":"The type of image that is being downloaded.","schema":{"example":"report-header","type":"string","enum":["report-header","report-footer","report-logo","company-logo"]}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Downloads an image for a distributor, specified by the imageType parameter."}},"/3/customer/image/company/logo":{"post":{"summary":"distributorImage uploadLogo","description":"Uploads a logo for the company, dispayed in the occ landing page","parameters":[],"requestBody":{"content":{"image/jpeg":{"schema":{"type":"string","format":"binary"}}}},"responses":{"200":{"description":"Image uploaded successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"tags":["customer"]}},"/3/customer/image/report/footer":{"post":{"summary":"distributorImage uploadReportFooter","description":"Uploads a footer image for reports","parameters":[],"requestBody":{"content":{"image/jpeg":{"schema":{"type":"string","format":"binary"}}}},"responses":{"200":{"description":"Image uploaded successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"tags":["customer"]}},"/3/customer/image/report/header":{"post":{"summary":"distributorImage uploadReportHeader","description":"Uploads a header image for reports","parameters":[],"requestBody":{"content":{"image/jpeg":{"schema":{"type":"string","format":"binary"}}}},"responses":{"200":{"description":"Image uploaded successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"tags":["customer"]}},"/3/customer/image/report/logo":{"post":{"summary":"distributorImage uploadReportLogo","description":"Uploads a logo image, displayed in reports","parameters":[],"requestBody":{"content":{"image/jpeg":{"schema":{"type":"string","format":"binary"}}}},"responses":{"200":{"description":"Image uploaded successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"tags":["customer"]}},"/3/customer/listLicenseInfoLightweight":{"get":{"summary":"customerLightweight listLicenseInfo","tags":["customer"],"parameters":[{"name":"customerIds[]","in":"query","schema":{"type":"array","items":{},"uniqueItems":false}},{"in":"query","name":"licenseName","description":"Filter by license name","schema":{"example":"this is a string","type":"string"}},{"name":"$fields[]","in":"query","schema":{"type":"array","description":"Fields to be returned. Default: customerId","items":{},"uniqueItems":false}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Get all customer license info lightweights for a list of customer, an optional array of $fields (companyName,customerNumberExtern,distributorId,validFrom,validUntil,isPro,licenseName) can be specified"}},"/3/customer/manager/{userId}":{"get":{"summary":"customerManager listForUser","tags":["customer"],"parameters":[{"in":"path","name":"userId","required":true,"schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Lists all customers a user is manager of.\n\nRequiredRole: `LEAD`"}},"/3/customer/tag":{"post":{"summary":"customerTag create","tags":["customer"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Create a new tag for a customer\n\nRequiredRole: `ARCHITECT`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.customerTag.create"}}}}},"get":{"summary":"customerTag list","tags":["customer"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Lists all tags for the customer"}},"/3/customer/tag/{tagId}":{"get":{"summary":"customerTag get","tags":["customer"],"parameters":[{"in":"path","name":"tagId","required":true,"schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Get a specific tag by id"},"put":{"summary":"customerTag update","tags":["customer"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Update the name of the given tag\n\nRequiredRole: `ARCHITECT`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.customerTag.update"}}}}},"delete":{"summary":"customerTag remove","tags":["customer"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Remove a tag by ID\n\nRequiredRole: `ARCHITECT`"}},"/3/customer/template":{"get":{"summary":"customerTemplate list","tags":["customer"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"List all container templates of your customer."}},"/3/customer/template/{templateId}/agent":{"get":{"summary":"customerTemplate listAgents","tags":["customer"],"parameters":[{"in":"path","name":"templateId","required":true,"description":"The template id for the container","schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"List the agents of one of your container templates."}},"/3/customer/usage":{"get":{"summary":"customerUsage listByDistributor","tags":["customer"],"parameters":[{"in":"query","name":"year","schema":{"example":9,"type":"number"}},{"in":"query","name":"month","schema":{"example":9,"type":"number"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Get usage data of your distributor's customers. Returns the number of agents, containers, ... for a specific month."}},"/3/customer/view-filter":{"post":{"summary":"customerViewFilter create","tags":["customer"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Create a new view filter for a customer\n\nRequiredRole: `ARCHITECT`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.customerViewFilter.create"}}}}},"get":{"summary":"customerViewFilter list","tags":["customer"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Lists all view filters of a customer"}},"/3/customer/view-filter/{viewFilterId}":{"get":{"summary":"customerViewFilter get","tags":["customer"],"parameters":[{"in":"path","name":"viewFilterId","required":true,"schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Get a specific view filter by id"},"put":{"summary":"customerViewFilter update","tags":["customer"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Update the name of the given view filter\n\nRequiredRole: `ARCHITECT`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.customerViewFilter.update"}}}}},"delete":{"summary":"customerViewFilter remove","tags":["customer"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Remove a view filter by ID\n\nRequiredRole: `ARCHITECT`"}},"/3/customer/{customerId}":{"get":{"summary":"customer get","tags":["customer"],"parameters":[{"in":"path","name":"customerId","required":true,"schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Get a customer of your distributor by ID"},"put":{"summary":"customer __update","tags":["customer"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Updates a customer of your distributor. Nearly any property of the GET /customer/:id result object can be modified and send to the server.\n\nRequiredRole: `INSTALLER`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.customer.__update"}}}}},"delete":{"summary":"customer remove","tags":["customer"],"parameters":[{"in":"path","name":"customerId","required":true,"schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Deletes the given customer. A customer must have no containers to be deleted.\n\nRequiredRole: `LEAD`"}},"/3/customer/{customerId}/apiKey":{"get":{"summary":"customerApiKey get","tags":["customer"],"parameters":[{"in":"path","name":"customerId","required":true,"schema":{"example":"this is a string","type":"string"}},{"in":"query","name":"name","schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Get a specific api key by its name\n\nRequiredRole: `LEAD`"}},"/3/customer/{customerId}/apiKey/{key}":{"delete":{"summary":"customerApiKey remove","tags":["customer"],"parameters":[{"in":"path","name":"customerId","required":true,"schema":{"example":"this is a string","type":"string"}},{"in":"path","name":"key","required":true,"schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Delete a api key\n\nRequiredRole: `LEAD`"}},"/3/customer/{customerId}/containers":{"get":{"summary":"customer listContainers","tags":["customer"],"parameters":[{"in":"path","name":"customerId","required":true,"schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"List a customer's containers"}},"/3/customer/{customerId}/coupon":{"post":{"summary":"customerCoupon use","tags":["customer"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Uses a coupon for your customer","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.customerCoupon.use"}}}}}},"/3/customer/{customerId}/inventory":{"get":{"summary":"customerInventory get","tags":["customer"],"parameters":[{"in":"path","name":"customerId","required":true,"description":"The ID of the specific customer","schema":{"example":"this is a string","type":"string"}},{"in":"query","name":"filter","description":"Filter containers by server or workstation. Returns both if property is not set.","schema":{"example":"SERVER","type":"string","enum":["SERVER","WORKSTATION"]}},{"in":"query","name":"format","schema":{"enum":["json","xml"],"default":"json"}},{"name":"$fields[]","in":"query","schema":{"type":"array","description":"Specify the fields of the inventory-objects to return, if not set, returns all fields of inventory","items":{"example":"this is a string","type":"string"},"uniqueItems":false}}],"responses":{"200":{"description":"Schema definition for a map of Inventories","content":{"application/json":{"schema":{"$ref":"#/components/schemas/container_InventoryMap"}}}}},"description":"Returns all inventory data of a customer filtered by server or workstation."}},"/3/customer/{customerId}/license":{"get":{"summary":"customerLicense list","tags":["customer"],"parameters":[{"in":"path","name":"customerId","required":true,"schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Returns all licenses of a customer"},"post":{"summary":"customerLicense create","tags":["customer"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Add a license to a customer.\n\nRequiredRole: `LEAD`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.customerLicense.create"}}}}}},"/3/customer/{customerId}/license/createOrReactivate":{"post":{"summary":"customerLicense createOrReactivate","tags":["customer"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Create or reactivate a license of a customer.\n\nRequiredRole: `LEAD`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.customerLicense.createOrReactivate"}}}}}},"/3/customer/{customerId}/license/{name}":{"delete":{"summary":"customerLicense remove","tags":["customer"],"parameters":[{"in":"path","name":"customerId","required":true,"schema":{"example":"this is a string","type":"string"}},{"in":"path","name":"name","required":true,"schema":{"enum":["trayicon"],"example":"trayicon"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Deactivate a license of a customer.\n\nRequiredRole: `LEAD`"}},"/3/customer/{customerId}/location":{"get":{"summary":"customerLocation get","tags":["customer"],"parameters":[{"in":"path","name":"customerId","required":true,"schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Returns the customers location."},"post":{"summary":"customerLocation create","tags":["customer"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Update a customers location.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.customerLocation.create"}}}}}},"/3/customer/{customerId}/maintenance":{"get":{"summary":"customerMaintenance get","tags":["customer"],"parameters":[{"in":"path","name":"customerId","required":true,"schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Returns information about the customers maintenance-state."}},"/3/customer/{customerId}/maintenance/disable":{"post":{"summary":"customerMaintenance disable","tags":["customer"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Disables maintenance-mode for the customer.\n\nRequiredRole: `ARCHITECT`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.customerMaintenance.disable"}}}}}},"/3/customer/{customerId}/maintenance/enable":{"post":{"summary":"customerMaintenance enable","tags":["customer"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Enables maintenance-mode for the customer.\n\nRequiredRole: `ARCHITECT`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.customerMaintenance.enable"}}}}}},"/3/customer/{customerId}/manager":{"get":{"summary":"customerManager list","tags":["customer"],"parameters":[{"in":"path","name":"customerId","required":true,"schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Lists all managers of a customer"}},"/3/customer/{customerId}/manager/{userId}":{"post":{"summary":"customerManager create","tags":["customer"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Adds a user as manager to a customer.\n\nRequiredRole: `LEAD`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.customerManager.create"}}}}},"delete":{"summary":"customerManager remove","tags":["customer"],"parameters":[{"in":"path","name":"customerId","required":true,"schema":{"example":"this is a string","type":"string"}},{"in":"path","name":"userId","required":true,"schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Removes a manager from a user.\n\nRequiredRole: `LEAD`"}},"/3/customer/{customerId}/property":{"get":{"summary":"customerProperty list","tags":["customer"],"parameters":[{"in":"path","name":"customerId","required":true,"schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Returns all licenses of a customer"},"post":{"summary":"customerProperty create","tags":["customer"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Updates a property of a customer.\n\nRequiredRole: `ARCHITECT`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.customerProperty.create"}}}}}},"/3/customer/{customerId}/property/{key}":{"delete":{"summary":"customerProperty remove","tags":["customer"],"parameters":[{"in":"path","name":"customerId","required":true,"schema":{"example":"this is a string","type":"string"}},{"in":"path","name":"key","required":true,"schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Deletes a customer property.\n\nRequiredRole: `ARCHITECT`"}},"/3/customer/{customerId}/secret":{"get":{"summary":"customer getSecret","tags":["customer"],"parameters":[{"in":"path","name":"customerId","required":true,"schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Get a customers secretKey\n\nRequiredRole: `INSTALLER`"}},"/3/customer/{customerId}/setting":{"get":{"summary":"customerSetting get","tags":["customer"],"parameters":[{"in":"path","name":"customerId","required":true,"schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"List customer settings"},"put":{"summary":"customerSetting update","tags":["customer"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Updates settings of a customer. Nearly any parameter of GET /customer/:cId/setting is valid.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.customerSetting.update"}}}}}},"/3/customer/{customerId}/usage":{"get":{"summary":"customerUsage list","tags":["customer"],"parameters":[{"in":"path","name":"customerId","required":true,"schema":{"example":"this is a string","type":"string"}},{"in":"query","name":"year","schema":{"example":9,"type":"number"}},{"in":"query","name":"month","schema":{"example":9,"type":"number"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Get a customer's usage data. Returns the number of agents, containers, ... for a specific month"}},"/3/docupike/container/{containerId}":{"get":{"summary":"iDoit getDeeplink","tags":["docupike"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/iDoit_Deeplink"}}}}},"description":"Returns a deep link for a SE container's i-doit instance.\n\nRequiredRole: `TECHIE`"}},"/3/docupike/containerInfo/{containerId}":{"get":{"summary":"iDoit getContainerInfo","tags":["docupike"],"parameters":[{"in":"path","name":"containerId","required":true,"schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/iDoit_ContainerInfo"}}}}},"description":"Returns containerInformations from i-doit.\n\nRequiredRole: `TECHIE`"}},"/3/docupike/install":{"post":{"summary":"iDoit install","tags":["docupike"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/iDoit_Install"}}}}},"description":"Installs the i-doit instance.\n\nRequiredRole: `LEAD`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.iDoit.install"}}}}}},"/3/docupike/status":{"get":{"summary":"iDoit status","tags":["docupike"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/iDoit_Status"}}}}},"description":"Returns the status of the i-doit instance.\n\nRequiredRole: `LEAD`"}},"/3/grafana-plugin/{agentId}/targets":{"get":{"summary":"grafanaPlugin getTargets","tags":["grafana-plugin"],"parameters":[{"in":"path","name":"agentId","required":true,"schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}}}},"/3/grafana-plugin/{agentId}/{saveName}/{start}/{end}":{"get":{"summary":"grafanaPlugin get","tags":["grafana-plugin"],"parameters":[{"in":"path","name":"agentId","required":true,"schema":{"example":"this is a string","type":"string"}},{"in":"path","name":"saveName","required":true,"schema":{"example":"this is a string","type":"string"}},{"in":"path","name":"start","required":true,"schema":{"example":9,"type":"number"}},{"in":"path","name":"end","required":true,"schema":{"example":9,"type":"number"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}}}},"/3/group":{"get":{"summary":"group list","tags":["group"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/group_Groups"}}}}},"description":"Returns all groups for a customers"},"post":{"summary":"group create","tags":["group"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/group_Group"}}}}},"description":"Creates a new group\n\nRequiredRole: `HR`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.group.create"}}}}}},"/3/group/{groupId}":{"get":{"summary":"group get","tags":["group"],"parameters":[{"in":"path","name":"groupId","required":true,"schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/group_Group"}}}}},"description":"Returns a group by id"},"put":{"summary":"group update","tags":["group"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/group_Group"}}}}},"description":"Update the name of a group\n\nRequiredRole: `HR`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.group.update"}}}}},"delete":{"summary":"group remove","tags":["group"],"parameters":[{"in":"path","name":"groupId","required":true,"schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Deletes a group.\n\nRequiredRole: `HR`"}},"/3/group/{groupId}/user":{"get":{"summary":"groupUser list","tags":["group"],"parameters":[{"in":"path","name":"groupId","required":true,"schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/group_GroupUsers"}}}}},"description":"Returns users in a group"}},"/3/group/{groupId}/user/{userId}":{"put":{"summary":"groupUser create","tags":["group"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/group_GroupUser"}}}}},"description":"Adds an user to a group\n\nRequiredRole: `HR`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.groupUser.create"}}}}},"delete":{"summary":"groupUser remove","tags":["group"],"parameters":[{"in":"path","name":"groupId","required":true,"schema":{"example":"this is a string","type":"string"}},{"in":"path","name":"userId","required":true,"schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Removes an user from a group\n\nRequiredRole: `HR`"}},"/3/managed-deploy/app-catalog/apps":{"get":{"summary":"appCatalog getApps","tags":["smartDeploy"],"parameters":[{"in":"query","name":"limit","schema":{"type":"number","default":12}},{"in":"query","name":"offset","schema":{"example":9,"type":"number"}},{"in":"query","name":"orderBy","schema":{"enum":["title","update","rank"],"default":"rank"}},{"in":"query","name":"order","schema":{"enum":["asc","desc"],"default":"desc"}},{"in":"query","name":"filter","schema":{"example":"this is a string","type":"string"}},{"name":"filterTag[]","in":"query","schema":{"type":"array","items":{},"uniqueItems":false}},{"in":"query","name":"locale","schema":{"enum":["de","en"],"default":"de"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"returns a paginated list of apps from the app catalog, which can be ordered by title or updatedAt in ascending or descending order and be filtered by locale, a string filter or an array of tags.\n\n`Only Distributor Users can access this route`"}},"/3/managed-deploy/app-catalog/apps/{packageIdentifier}":{"get":{"summary":"appCatalog getAppDetail","tags":["smartDeploy"],"parameters":[{"in":"path","name":"packageIdentifier","required":true,"description":"The unique identifier for the app","schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Fetches detailed information for a specific app identified by its unique ID\n\n`Only Distributor Users can access this route`"}},"/3/managed-deploy/app-catalog/tags":{"get":{"summary":"managedDeployTag findTags","tags":["smartDeploy"],"parameters":[{"in":"query","name":"startsWith","required":true,"description":"Typeahead for tag search","schema":{"example":"this is a string","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"returns a list of tags starting with given string.\n\n`Only Distributor Users can access this route`"}},"/3/managed-deploy/app-collections":{"get":{"summary":"appCollection getAppCollections","tags":["smartDeploy"],"parameters":[{"in":"query","name":"limit","schema":{"type":"number","default":12}},{"in":"query","name":"offset","schema":{"example":9,"type":"number"}},{"in":"query","name":"orderBy","schema":{"enum":["title","update","priority"],"default":"title"}},{"in":"query","name":"order","schema":{"enum":["asc","desc"],"default":"asc"}},{"in":"query","name":"filter","schema":{"example":"this is a string","type":"string"}},{"in":"query","name":"isOwner","description":"If true, only app collections owned by the logged in user are returned","schema":{"example":false,"type":"boolean"}},{"name":"customerIds[]","in":"query","schema":{"type":"array","description":"If provided (and user is not owner/superuser), filters AppCollections to owned by user OR enabled AND assigned to a SystemGroup belonging to one of these customerIds","items":{},"uniqueItems":false}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Returns a list of all app collections, including basic fields. The result can be filtered by various parameters\n\n`Only Distributor Users can access this route`"},"post":{"summary":"appCollection createAppCollection","tags":["smartDeploy"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Creates an app collection. Returns created app collection\n\n`Only Distributor Users can access this route`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.appCollection.createAppCollection"}}}}},"delete":{"summary":"appCollection deleteAppCollection","tags":["smartDeploy"],"parameters":[{"name":"appCollectionIds[]","in":"query","schema":{"type":"array","description":"The unique identifier for the app collection","items":{},"uniqueItems":false}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Deletes a specific app collections identified by its unique ID\n\n`Only Distributor Users can access this route`"}},"/3/managed-deploy/app-collections/priority":{"get":{"summary":"appCollection getAppCollectionPriority","tags":["smartDeploy"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Get a list of app-collections on a distributor basis sorted by priority\n\n`Only Distributor Users can access this route`"},"post":{"summary":"appCollection updateAppCollectionPriority","tags":["smartDeploy"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"Updates priorities of app-collections on a distributor basis with given array of app-collection Ids\n\n`Only Distributor Users can access this route`","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/manager.appCollection.updateAppCollectionPriority"}}}}}},"/3/managed-deploy/app-collections/{appCollectionId}":{"put":{"summary":"appCollection updateAppCollection","tags":["smartDeploy"],"parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultSchema"}}}}},"description":"updates the app collection basic data. Returns the mo
[...]
